Name:          conversant-disruptor
Version:       1.2.8
Release:       1%{?dist}
Summary:       Very low latency Java BlockingQueue
License:       ASL 2.0
URL:           https://github.com/conversant/disruptor/
Source0:       https://github.com/conversant/disruptor/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.slf4j:slf4j-api)

BuildArch:     noarch

%description
Disruptor is the highest performing intra-thread transfer
mechanism available in Java. Conversant Disruptor is the
implementation of this type of ring buffer queue because it
has almost no overhead and it exploits a particularly simple
design.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n disruptor-%{version}

# Useless tasks
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-source-plugin
# Unavailable plugins
%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :license-maven-plugin
%pom_remove_plugin :nexus-staging-maven-plugin

# Add OSGi support
%pom_xpath_set "pom:project/pom:packaging" bundle
%pom_add_plugin org.apache.felix:maven-bundle-plugin:2.3.7 . '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-Version>${project.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%mvn_file com.conversantmedia:disruptor %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md RELEASE
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Nov 11 2016 gil cattaneo <puntogil@libero.it> 1.2.8-1
- initial rpm

